[supervisord]
nodaemon=true
user=root
logfile=/var/log/supervisord.log
pidfile=/var/log/supervisord.pid

[program:vnc]
command=/etc/vncserver.sh %(ENV_USERNAME)s %(ENV_PASSWORD)s %(ENV_SCREEN)s
startsecs=3
autorestart=true
stdout_logfile=/dev/fd/1
stdout_logfile_maxbytes=0
redirect_stderr=true
priority=100

[program:novnc]
command=novnc_server --vnc localhost:5900 --listen 8080 --web /usr/share/novnc --file-only
startsecs=3
autorestart=true
stdout_logfile=/dev/fd/1
stdout_logfile_maxbytes=0
redirect_stderr=true
priority=200

[program:filebrowser]
command=/etc/filebrowser.sh %(ENV_USERNAME)s %(ENV_PASSWORD)s
directory=/var/log
startsecs=3
autorestart=true
stdout_logfile=/dev/fd/1
stdout_logfile_maxbytes=0
redirect_stderr=true
priority=300

[program:wine]
command=/etc/wine.sh %(ENV_WINEPREFIX)s
stdout_logfile=/dev/fd/1
stdout_logfile_maxbytes=0
redirect_stderr=false
priority=400